<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'realestate',

    /*
     * Package.
     */
    'package'   => 'lead',

    /*
     * Modules.
     */
    'modules'   => ['lead'],

    
    'lead'       => [
        'model' => [
            'model'                 => \Realestate\Lead\Models\Lead::class,
            'table'                 => 'leads',
            'presenter'             => \Realestate\Lead\Repositories\Presenter\LeadPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'refno',  'agent_id',  'country_id',  'state_id',  'district_id',  'city_id',  'location_id',  'category_id',  'contact_id',  'title',  'description',  'date',  'lead_type',  'finance',  'priority',  'source',  'hot',  'share_lead',  'min_beds',  'max_beds',  'min_price',  'max_price',  'min_buildarea',  'max_buildarea',  'buildarea_typ',  'min_landarea',  'max_landarea',  'landarea_type',  'status',  'sub_status',  'slug',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'lead/lead',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Realestate',
            'package'   => 'Lead',
            'module'    => 'Lead',
        ],

    ],
];
