<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLeadsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: leads
         */
        Schema::create('leads', function ($table) {
            $table->increments('id');
            $table->string('refno', 255)->nullable();
            $table->integer('agent_id')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('district_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('contact_id')->nullable();
            $table->string('title', 100)->nullable();
            $table->text('description')->nullable();
            $table->date('date')->nullable();
            $table->enum('lead_type', ['Tenant','Buyer'])->nullable();
            $table->string('finance', 50)->nullable();
            $table->enum('priority', ['Urgent','High','Low','Normal'])->nullable();
            $table->text('source')->nullable();
            $table->tinyInteger('hot')->nullable();
            $table->tinyInteger('share_lead')->nullable();
            $table->integer('min_beds')->nullable();
            $table->integer('max_beds')->nullable();
            $table->integer('min_price')->nullable();
            $table->integer('max_price')->nullable();
            $table->increments('min_buildarea')->nullable();
            $table->increments('max_buildarea')->nullable();
            $table->enum('buildarea_typ', ['CEN','ACR','Sq ft'])->nullable();
            $table->increments('min_landarea')->nullable();
            $table->increments('max_landarea')->nullable();
            $table->enum('landarea_type', ['CEN','ACR','Sq ft'])->nullable();
            $table->enum('status', ['Open','Closed','Not Specified'])->nullable();
            $table->text('sub_status')->nullable();
            $table->string('slug', 255)->nullable();
            $table->string('upload_folder', 250)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('leads');
    }
}
