<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for lead in lead package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  lead module in lead package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Lead',
    'names'         => 'Leads',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Leads',
        'sub'   => 'Leads',
        'list'  => 'List of leads',
        'edit'  => 'Edit lead',
        'create'    => 'Create new lead'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'lead_type'           => ['Tenant','Buyer'],
            'priority'            => ['Urgent','High','Low','Normal'],
            'buildarea_typ'       => ['CEN','ACR','Sq ft'],
            'landarea_type'       => ['CEN','ACR','Sq ft'],
            'status'              => ['Open','Closed','Not Specified'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'refno'                      => 'Please enter refno',
        'agent_id'                   => 'Please select agent',
        'country_id'                 => 'Please select country',
        'state_id'                   => 'Please select state',
        'district_id'                => 'Please select district',
        'city_id'                    => 'Please select city',
        'location_id'                => 'Please select location',
        'category_id'                => 'Please select category',
        'contact_id'                 => 'Please select contact',
        'title'                      => 'Please enter title',
        'description'                => 'Please enter description',
        'date'                       => 'Please select date',
        'lead_type'                  => 'Please select lead type',
        'finance'                    => 'Please select finance',
        'priority'                   => 'Please select priority',
        'source'                     => 'Please select source',
        'hot'                        => 'Please select hot',
        'share_lead'                 => 'Please select share lead',
        'min_beds'                   => 'Please enter min beds',
        'max_beds'                   => 'Please enter max beds',
        'min_price'                  => 'Please enter min price',
        'max_price'                  => 'Please enter max price',
        'min_buildarea'              => 'Please enter min buildarea',
        'max_buildarea'              => 'Please enter max buildarea',
        'buildarea_typ'              => 'Please select buildarea type',
        'min_landarea'               => 'Please enter min landarea',
        'max_landarea'               => 'Please enter max landarea',
        'landarea_type'              => 'Please select landarea type',
        'status'                     => 'Please select status',
        'sub_status'                 => 'Please enter sub status',
        'slug'                       => 'Please enter slug',
        'upload_folder'              => 'Please enter upload folder',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'refno'                      => 'Refno',
        'agent_id'                   => 'Agent',
        'country_id'                 => 'Country',
        'state_id'                   => 'State',
        'district_id'                => 'District',
        'city_id'                    => 'City',
        'location_id'                => 'Location',
        'category_id'                => 'Category',
        'contact_id'                 => 'Contact',
        'title'                      => 'Title',
        'description'                => 'Description',
        'date'                       => 'Date',
        'lead_type'                  => 'Lead type',
        'finance'                    => 'Finance',
        'priority'                   => 'Priority',
        'source'                     => 'Source',
        'hot'                        => 'Hot',
        'share_lead'                 => 'Share lead',
        'min_beds'                   => 'Min beds',
        'max_beds'                   => 'Max beds',
        'min_price'                  => 'Min price',
        'max_price'                  => 'Max price',
        'min_buildarea'              => 'Min buildarea',
        'max_buildarea'              => 'Max buildarea',
        'buildarea_typ'              => 'Buildarea type',
        'min_landarea'               => 'Min landarea',
        'max_landarea'               => 'Max landarea',
        'landarea_type'              => 'Landarea type',
        'status'                     => 'Status',
        'sub_status'                 => 'Sub status',
        'slug'                       => 'Slug',
        'upload_folder'              => 'Upload folder',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'refno'                      => ['name' => 'Refno', 'data-column' => 1, 'checked'],
        'agent_id'                   => ['name' => 'Agent', 'data-column' => 2, 'checked'],
        'district_id'                => ['name' => 'District', 'data-column' => 3, 'checked'],
        'city_id'                    => ['name' => 'City', 'data-column' => 4, 'checked'],
        'location_id'                => ['name' => 'Location', 'data-column' => 5, 'checked'],
        'category_id'                => ['name' => 'Category', 'data-column' => 6, 'checked'],
        'contact_id'                 => ['name' => 'Contact', 'data-column' => 7, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 8, 'checked'],
        'date'                       => ['name' => 'Date', 'data-column' => 9, 'checked'],
        'lead_type'                  => ['name' => 'Lead type', 'data-column' => 10, 'checked'],
        'finance'                    => ['name' => 'Finance', 'data-column' => 11, 'checked'],
        'priority'                   => ['name' => 'Priority', 'data-column' => 12, 'checked'],
        'source'                     => ['name' => 'Source', 'data-column' => 13, 'checked'],
        'hot'                        => ['name' => 'Hot', 'data-column' => 14, 'checked'],
        'share_lead'                 => ['name' => 'Share lead', 'data-column' => 15, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 16, 'checked'],
        'sub_status'                 => ['name' => 'Sub status', 'data-column' => 17, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Leads',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
