<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('lead::lead.name') !!} <small> {!! trans('app.manage') !!} {!! trans('lead::lead.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('lead::lead.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='lead-lead-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('lead/lead')!!}">{!! trans('lead::lead.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('lead/lead?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('lead/lead?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('lead/lead/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('lead::admin.lead.partial.actions')
                    -->
                    @include('lead::admin.lead.partial.filter')
                    @include('lead::admin.lead.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="lead-lead-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="lead-lead-check-all"></th>
                        <th data-field="refno">{!! trans('lead::lead.label.refno')!!}</th>
                    <th data-field="agent_id">{!! trans('lead::lead.label.agent_id')!!}</th>
                    <th data-field="district_id">{!! trans('lead::lead.label.district_id')!!}</th>
                    <th data-field="city_id">{!! trans('lead::lead.label.city_id')!!}</th>
                    <th data-field="location_id">{!! trans('lead::lead.label.location_id')!!}</th>
                    <th data-field="category_id">{!! trans('lead::lead.label.category_id')!!}</th>
                    <th data-field="contact_id">{!! trans('lead::lead.label.contact_id')!!}</th>
                    <th data-field="title">{!! trans('lead::lead.label.title')!!}</th>
                    <th data-field="date">{!! trans('lead::lead.label.date')!!}</th>
                    <th data-field="lead_type">{!! trans('lead::lead.label.lead_type')!!}</th>
                    <th data-field="finance">{!! trans('lead::lead.label.finance')!!}</th>
                    <th data-field="priority">{!! trans('lead::lead.label.priority')!!}</th>
                    <th data-field="source">{!! trans('lead::lead.label.source')!!}</th>
                    <th data-field="hot">{!! trans('lead::lead.label.hot')!!}</th>
                    <th data-field="share_lead">{!! trans('lead::lead.label.share_lead')!!}</th>
                    <th data-field="status">{!! trans('lead::lead.label.status')!!}</th>
                    <th data-field="sub_status">{!! trans('lead::lead.label.sub_status')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#lead-lead-entry', '{!!guard_url('lead/lead/0')!!}');
    oTable = $('#lead-lead-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('lead/lead') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'refno'},
            {data :'agent_id'},
            {data :'district_id'},
            {data :'city_id'},
            {data :'location_id'},
            {data :'category_id'},
            {data :'contact_id'},
            {data :'title'},
            {data :'date'},
            {data :'lead_type'},
            {data :'finance'},
            {data :'priority'},
            {data :'source'},
            {data :'hot'},
            {data :'share_lead'},
            {data :'status'},
            {data :'sub_status'},
        ],
        "pageLength": 25
    });

    $('#lead-lead-list tbody').on( 'click', 'tr td:not(:first-child)', function (e) {
        e.preventDefault();

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#lead-lead-list').DataTable().row( this ).data();
        $('#lead-lead-entry').load('{!!guard_url('lead/lead')!!}' + '/' + d.id);
    });

    $('#lead-lead-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#lead-lead-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#lead-lead-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#lead-lead-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>