<?php

namespace Realestate\Lead\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LeadTransformer extends TransformerAbstract
{
    public function transform(\Realestate\Lead\Models\Lead $lead)
    {
        return [
            'id'                => $lead->getRouteKey(),
            'key'               => [
                'public'    => $lead->getPublicKey(),
                'route'     => $lead->getRouteKey(),
            ], 
            'id'                => $lead->id,
            'refno'             => $lead->refno,
            'agent_id'          => $lead->agent_id,
            'country_id'        => $lead->country_id,
            'state_id'          => $lead->state_id,
            'district_id'       => $lead->district_id,
            'city_id'           => $lead->city_id,
            'location_id'       => $lead->location_id,
            'category_id'       => $lead->category_id,
            'contact_id'        => $lead->contact_id,
            'title'             => $lead->title,
            'description'       => $lead->description,
            'date'              => $lead->date,
            'lead_type'         => $lead->lead_type,
            'finance'           => $lead->finance,
            'priority'          => $lead->priority,
            'source'            => $lead->source,
            'hot'               => $lead->hot,
            'share_lead'        => $lead->share_lead,
            'min_beds'          => $lead->min_beds,
            'max_beds'          => $lead->max_beds,
            'min_price'         => $lead->min_price,
            'max_price'         => $lead->max_price,
            'min_buildarea'     => $lead->min_buildarea,
            'max_buildarea'     => $lead->max_buildarea,
            'buildarea_typ'     => $lead->buildarea_typ,
            'min_landarea'      => $lead->min_landarea,
            'max_landarea'      => $lead->max_landarea,
            'landarea_type'     => $lead->landarea_type,
            'status'            => $lead->status,
            'sub_status'        => $lead->sub_status,
            'slug'              => $lead->slug,
            'upload_folder'     => $lead->upload_folder,
            'deleted_at'        => $lead->deleted_at,
            'created_at'        => $lead->created_at,
            'updated_at'        => $lead->updated_at,
            'url'               => [
                'public'    => trans_url('lead/'.$lead->getPublicKey()),
                'user'      => guard_url('lead/lead/'.$lead->getRouteKey()),
            ], 
            'status'            => trans('app.'.$lead->status),
            'created_at'        => format_date($lead->created_at),
            'updated_at'        => format_date($lead->updated_at),
        ];
    }
}